using GadgetCore.API;
using HarmonyLib;
using UnityEngine;

namespace MultiplayerClientSpawn.Patches
{

  [HarmonyPatch(typeof(SpawnBlock))]
  [HarmonyPatch("Awake")]
  [HarmonyGadget("MultiplayerClientSpawn")]
  public static class Patch_SpawnBlock_Awake
  {
    [HarmonyPostfix]
    public static bool Prefix(SpawnBlock __instance)
    {
      if (!Network.isServer)
        return false;
      return true;
    }
  }
}
